Running AMC 1.3.0 on Linux Mint

Added by Björn Johansson over 1 year ago

Hi, this is more of a tip for other users than a question.
I ran AMC for several years on Ubuntu without problems. This year I switched to Linux Mint 18.2 cinnamon to get a more stable system. I installed the newest AMC from the stable ppa, which seemed go well at first.
However, AMC complained at some points about missing dependencies.

installing the packages below solved the problems.

sudo apt-get install texlive-xetex
sudo apt-get install lmodern
sudo apt-get install libopenoffice-oodoc-perl

I found this to be unexpected since the packages always worked flawlessly on Ubuntu.
cheers,
Björn


Replies (4)

RE: Running AMC 1.3.0 on Linux Mint - Added by Gregory Furter over 1 year ago

Thanks a lot Björn,

I spent a couple of days figuring out the lmodern and did not stumble upon the OpenOffice related issue (and I won't thanks to you).

Cheers.

RE: Running AMC 1.3.0 on Linux Mint - Added by Alexis Bienvenüe over 1 year ago

The packages libopenoffice-oodoc-perl, fonts-linuxlibertine, texlive-xetex are listed in the Recommends section of the auto-multiple-choice package, so that they are installed together with it if you configured apt so (see APT::Install-Recommends, which defaults to true I think).
What is lmodern necessary for? Maybe it should be added to.

RE: Running AMC 1.3.0 on Linux Mint - Added by Gregory Furter over 1 year ago

I had twice issues not being able to grade exams. The exams had been generated on my Ubuntu main machine but I tried to grade the under Kali ou Mint. Lmodern appeared to solve the issue.
Issue was when grading, no error by scores at zero. Error when trying to regenerate the copies.

I can try to reproduce from scratch with detailed steps and error messages next week if you believe it is worth investigating.

RE: Running AMC 1.3.0 on Linux Mint - Added by Alexis Bienvenüe about 1 year ago

Yes lmodern is used to export grades as ODS…
I added this package in the recommends section.

(1-4/4)